Index Page pcklof_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void pcklof_c ( ConstSpiceChar * filename,
                       SpiceInt       * handle    )

#### Abstract

       Load a binary PCK file for use by the readers.  Return the
       handle of the loaded file which is used by other PCK routines to
       refer to the file.

#### Required_Reading

       PCK

#### Keywords

       FILES

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       filename   I   Name of the file to be loaded.
       handle     O   Loaded file's handle.

#### Detailed_Input

       filename   Character name of the file to be loaded.

#### Detailed_Output

       handle     Integer handle assigned to the file upon loading.
                  Other PCK routine will subsequently use this number
                  to refer to the file.

#### Parameters

       None.

#### Exceptions

       1) If an attempt is made to load more files than is specified
          by the paramater ftsize defined in pckbsr_, the error
          SPICE(PCKFILETABLEFULL) is signalled.

       2) The error SPICE(EMPTYSTRING) is signalled if the input
          string does not contain at least one character, since the
          input string cannot be converted to a Fortran-style string
          in this case.

       3) The error SPICE(NULLPOINTER) is signalled if the input string
          pointer is null.

       This routine makes use of DAF file system routines and is subject
       to all of the constraints imposed by the DAF fuile system. See
       the DAF Required Reading or individual DAF routines for details.

#### Files

       A file specified by filename, to be loaded.  The file is assigned a
       handle by pcklof_c, which will be used by other routines to
       refer to it.

#### Particulars

       If there is room for a new file in the file table, pcklof_c creates
       an entry for it, and opens the file for reading.

       Also, if the body table is empty, pcklof_c initializes it, this
       being as good a place as any.

#### Examples

       Load a binary PCK kernel and return the integer handle.

          pck      = "/kernels/gen/pck/earth6.bpc";
          pcklof_c ( pck, &handle );

       Also see the Example in PCKLOF.FOR.

#### Restrictions

       None.

#### Literature_References

       DAF Required Reading

#### Author_and_Institution

       K.S. Zukor         (JPL)
       E.D. Wright        (JPL)

#### Version

       -CSPICE Version 2.0.1, 20-MAR-1998 (EDW)

          Minor correction to header.

       -CSPICE Version 2.0.0, 08-FEB-1998 (NJB)

          Input argument filename was changed to type ConstSpiceChar *.

          Re-implemented routine without dynamically allocated, temporary
          strings.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)

#### Index_Entries

       load PCK orientation file

#### Link to routine pcklof_c source file pcklof_c.c

    Wed Apr  5 17:54:40 2017